package com.hz.pm.api.open.model.vo;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import com.hz.pm.api.expert.model.*;
import com.hz.pm.api.meta.model.ExpertRegionInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @date 2024/5/11
 */
@Data
@ApiModel("专家信息")
public class ExpertInfoVO {

    @ApiModelProperty("专家用户id")
    private Long userId;

    @ApiModelProperty(value = "专家类型")
    private List<DictionaryFieldInfo> expertType;

    @ApiModelProperty(value = "专家姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phoneNo;

    @ApiModelProperty(value = "单位code")
    private String organizationCode;

    @ApiModelProperty(value = "单位名称")
    private String organizationName;

}
